org.mariadb.jdbc.internal.packet.read

## Class ReadPacketFetcher

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.read.ReadPacketFetcher

    public class ReadPacketFetcher
    extends Object

### Field Summary

Fields
`static int` `AVOID_CREATE_BUFFER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`ReadPacketFetcher(InputStream is)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearInputStream()` Clear current inputStream.
`void` `close()`
`RawPacket` `getRawPacket()`
`ByteBuffer` `getReusableBuffer()` Get buffer without stream sequence information.
`RawPacket` `getReusableRawPacket()`
`void` `skipNextPacket()` Skip next stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AVOID_CREATE_BUFFER_LENGTH

    public static final int AVOID_CREATE_BUFFER_LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### ReadPacketFetcher

    public ReadPacketFetcher(InputStream is)

### Method Detail

#### getRawPacket

    public RawPacket getRawPacket()
                           throws IOException

Throws:
  `IOException`

#### getReusableBuffer

    public ByteBuffer getReusableBuffer()
                                 throws IOException

Get buffer without stream sequence information.

Returns:
  ByteBuffer the bytebuffer
Throws:
  `IOException` - if any

#### skipNextPacket

    public void skipNextPacket()
                        throws IOException

Skip next stream.

Throws:
  `IOException` - if connection errors occur.

#### getReusableRawPacket

    public RawPacket getReusableRawPacket()
                                   throws IOException

Throws:
  `IOException`

#### clearInputStream

    public void clearInputStream()
                          throws IOException

Clear current inputStream.

Throws:
  `IOException` - if connection errors occur

#### close

    public void close()
               throws IOException

Throws:
  `IOException`